Open SCAP Library: Data Fields - Variables

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables

- a
- b
- c
- d
- e
- f
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- x

### - a -

- agents : xccdf_session
- arf_file : xccdf_session

### - b -

- base_score : xccdf_session
- benchmark : xccdf_policy_model

### - c -

- callback : callback_t , callback_out_t
- callbacks : xccdf_policy_model
- can_override : oscap_text_traits
- can_substitute : oscap_text_traits
- check_engine_plugins : xccdf_session
- check_engine_plugins_results : xccdf_session
- cnt : fsdev_t , xiconf_strl_t
- component_id : xccdf_session
- count : xiconf_file_t
- cpath : xiconf_file_t
- cpe : cpe_testexpr
- cpe23_item : cpe_item
- cpe_dicts : xccdf_policy_model
- cpe_lang_models : xccdf_policy_model
- cpe_oval_sessions : xccdf_policy_model
- cpe_version : xccdf_version_info
- custom_resources : xccdf_session

### - d -

- datastream_id : xccdf_session
- date : cpe_ext_deprecation
- defaults : xiconf_t
- definitions : oval_result_system
- deprecated : cpe_item
- deprecated_by : cpe_item
- deprecatedbys : cpe_ext_deprecation
- deprecations : cpe23_item
- depth : xiconf_file_t
- dir : oval_probe_session
- doc_type : xccdf_session
- doc_version : xccdf_session

### - e -

- export : xccdf_session
- expr : cpe_testexpr

### - f -

- fd : xiconf_file_t
- fetch_remote_resources : xccdf_session
- fflags : rpmverify_res
- file : rpmverify_res , xccdf_session
- filename : xccdf_session , oval_content_resource
- filters : probe_ctx
- flags : xiconf_file_t
- flg : oval_probe_session
- fts_accpath : _ftsent
- fts_array : FTS
- fts_child : FTS
- fts_compar : FTS
- fts_cur : FTS
- fts_cycle : _ftsent
- fts_dev : FTS , _ftsent
- fts_errno : _ftsent
- fts_flags : _ftsent
- fts_info : _ftsent
- fts_ino : _ftsent
- fts_instr : _ftsent
- fts_level : _ftsent
- fts_link : _ftsent
- fts_name : _ftsent
- fts_namelen : _ftsent
- fts_nitems : FTS
- fts_nlink : _ftsent
- fts_number : _ftsent
- fts_options : FTS
- fts_parent : _ftsent
- fts_path : FTS , _ftsent
- fts_pathlen : FTS , _ftsent
- fts_pointer : _ftsent
- fts_rfd : FTS
- fts_statp : _ftsent
- fts_symfd : _ftsent
- full_validation : xccdf_session

### - h -

- href : oval_content_resource
- html : oscap_text_traits

### - i -

- icache : probe_t , probe_ctx
- id : xccdf_attribute_spec , xccdf_element_spec
- ids : fsdev_t
- inlen : xiconf_file_t
- inmem : xiconf_file_t
- inoff : xiconf_file_t
- item_id_ctr : id_desc_t
- item_id_ctr_lock : id_desc_t

### - l -

- lock : probe_ncache_t

### - m -

- master_col : oval_smc_iterator
- master_it : oval_smc_iterator
- meta : cpe_testexpr
- model : xccdf_policy
- msg : probe_worker_t
- msg_handler : probe_worker_t
- mtime : xiconf_file_t

### - n -

- name : probe_ncache_t , rpmverify_res , xccdf_attribute_spec , xccdf_value_binding , xccdf_element_spec
- namespace_uri : xccdf_version_info
- ncache : probe_t
- nodes : xiconf_file_t
- ns : xccdf_element_spec , xccdf_attribute_spec

### - o -

- oflags : rpmverify_res
- oper : cpe_testexpr
- operator : xccdf_value_binding
- optcnt : probe_t
- option : probe_t
- oval_results : xccdf_session
- oval_variables : xccdf_session
- override_given : oscap_text_traits
- overrides : oscap_text_traits

### - p -

- pext : oval_probe_session
- ph : oval_probe_session
- policies : xccdf_policy_model
- policy_model : xccdf_session
- probe_in : probe_ctx
- probe_out : probe_ctx
- product_cpe : xccdf_session
- profile : xccdf_policy
- profile_id : xccdf_session
- progress : xccdf_session

### - q -

- query_fn : callback_t

### - r -

- rcache : probe_t
- real : probe_ncache_t
- report_file : xccdf_session
- resources : xccdf_session
- result : xccdf_session
- result_files : xccdf_session
- results : xccdf_policy

### - s -

- sd : probe_t
- sds_idx : xccdf_session
- SEAP_ctx : probe_t
- selected_final : xccdf_policy
- selected_internal : xccdf_policy
- selects : xccdf_policy
- setvalue : xccdf_value_binding
- sid : probe_worker_t
- size : probe_ncache_t
- slave_it : oval_smc_iterator
- str : xiconf_strl_t
- stree : xiconf_t
- sys_model : oval_probe_session
- syschar_map : oval_syschar_model
- sysitem : oval_syschar
- sysitem_map : oval_syschar_model
- system : callback_t , callback_out_t

### - t -

- tailoring : xccdf_policy_model
- temp_dir : xccdf_session
- tests : oval_result_system
- tid : probe_worker_t
- tot : xiconf_strl_t
- tree : probe_rcache_t
- ttree : xiconf_t
- type : cpe_ext_deprecatedby , xccdf_value_binding

### - u -

- user_benchmark_id : xccdf_session
- user_component_id : xccdf_session
- user_cpe : xccdf_session
- user_datastream_id : xccdf_session
- user_eval_fn : xccdf_session
- user_tailoring_cid : xccdf_session
- user_tailoring_file : xccdf_session
- usr : callback_t , callback_out_t

### - v -

- validate : xccdf_session
- value : xccdf_value_binding
- values : xccdf_policy
- vardef_map : oval_definition_model
- variable_bindings : oval_syschar
- variable_instance : oval_syschar
- variable_instance_hint : oval_syschar , oval_result_definition
- version : xccdf_version_info
- vflags : rpmverify_res

### - x -

- xccdf_file : xccdf_session
- xsi_nil : oval_entity